> ## Documentation Index
> Fetch the complete documentation index at: https://docs.4mica.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public parameters

> Read public contract, signing, guarantee, and validation parameters.

`GET /core/public-params`

Use these values to configure signing domains and validate V2 policy settings.

## Responses

<ResponseField name="public_key" type="array" required />

<ResponseField name="contract_address" type="string" required />

<ResponseField name="ethereum_http_rpc_url" type="string" required />

<ResponseField name="eip712_name" type="string" required />

<ResponseField name="eip712_version" type="string" required />

<ResponseField name="chain_id" type="number" required />

<ResponseField name="max_accepted_guarantee_version" type="number" required />

<ResponseField name="accepted_guarantee_versions" type="array" required />

<ResponseField name="active_guarantee_domain_separator" type="string" required />

<ResponseField name="trusted_validation_registries" type="array" required />

<ResponseField name="validation_hash_canonicalization_version" type="string" required />

<RequestExample>
  ```bash cURL theme={null}
  curl "https://base.sepolia.api.4mica.xyz/core/public-params"
  ```

  ```javascript title="Fetch" theme={null}
  const response = await fetch("https://base.sepolia.api.4mica.xyz/core/public-params");
  console.log(await response.json());
  ```

  ```javascript title="Axios" theme={null}
  import axios from "axios";
  const { data } = await axios.get("https://base.sepolia.api.4mica.xyz/core/public-params");
  console.log(data);
  ```

  ```python Python theme={null}
  import requests
  print(requests.get("https://base.sepolia.api.4mica.xyz/core/public-params").json())
  ```

  ```go Go theme={null}
  package main
  import ("fmt"; "io"; "net/http")
  func main() {
    response, _ := http.Get("https://base.sepolia.api.4mica.xyz/core/public-params")
    defer response.Body.Close()
    body, _ := io.ReadAll(response.Body)
    fmt.Println(string(body))
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "public_key": [1, 2, 3],
    "contract_address": "0xCoreContract",
    "ethereum_http_rpc_url": "https://sepolia.base.org",
    "eip712_name": "4Mica",
    "eip712_version": "1",
    "chain_id": 84532,
    "max_accepted_guarantee_version": 2,
    "accepted_guarantee_versions": [1, 2],
    "active_guarantee_domain_separator": "0xDomainSeparator",
    "trusted_validation_registries": ["0xRegistry"],
    "validation_hash_canonicalization_version": "4MICA_VALIDATION_REQUEST_V2"
  }
  ```

  ```json 500 Internal Server Error theme={null}
  { "error": "Unable to load public parameters" }
  ```
</ResponseExample>

## Status codes

| Code  | Description                                           |
| ----- | ----------------------------------------------------- |
| `200` | Public parameters were returned.                      |
| `500` | The operator could not load its active configuration. |
